#!/bin/bash
# Usage: 
# encode2CD.sh nom encode nom.mpg en nom.avi
# encode2CD.sh 1 [bitrate] redmarre avec la premire passe
# encode2CD.sh 2 [bitrate] redmarre avec la deuxime passe
# dans les deux derniers cas, on peut prciser le bitrate.
# Franois BOISSON
#
mkdir $1.tmp
cd $1.tmp
FILM=../$1.mpg
RESULTAT=../$1.avi
if [ -z $2 ] ; then
    if [ -f frameno.avi ] ; then
	rm frameno.avi
    fi
    mencoder $FILM -ovc frameno -vf scale=640:496  -oac mp3lame -lameopts vbr=3:br=128:q=0 -o frameno.avi > Son
#    BITRATE=`grep "Bitrate.*CD 2 x 700" Son | cut --delimiter=" " -f 10`
     BITRATE=`grep "itrate.*2 x 700" Son | sed -e 's/.*: //'`
    echo $BITRATE > BITRATE
else
    if [ -z $3 ] ; then
	BITRATE=`cat BITRATE`
    else
	BITRATE=$3
    fi
fi
# Passe 1
if [ -z $2 ] ; then
    mencoder $FILM -oac copy -ovc lavc -vf scale=640:496 -lavcopts vcodec=mpeg4:vpass=1:vbitrate=$BITRATE:turbo -ffourcc DIVX  -o $RESULTAT
else
    if [ $2 != "2" ] ; then
	mencoder $FILM -oac copy -ovc lavc -vf scale=640:496 -lavcopts vcodec=mpeg4:vpass=1:vbitrate=$BITRATE:turbo -ffourcc DIVX  -o $RESULTAT
    fi
fi
# Passe 2
mencoder $FILM -oac copy -ovc lavc -vf scale=640:496 -lavcopts vcodec=mpeg4:vpass=2:vbitrate=$BITRATE:vhq:v4mv:trell -ffourcc DIVX  -o $RESULTAT
cd ..
